from django.conf.urls import url
from warpauth.views import login, reset_password, profile, register

#
# Definition of all available URLS for accessing Functions integrated in WarpAuth
#


urlpatterns = [
    # Authentication Pages
    url(r'^login/$', login.login_view, name='index'),
    url(r'^logout/$', login.logout_view, name='index'),
    url(r'^register/$', register.register, name='index'),
    url(r'^reset_password/$', reset_password.gen_token, name='index'),

#    url(r'^reset_password/(?P<reset_hash>\w+)/$', reset_password.change_password, name='index'),

    url(r'^profile/$', profile.index, name='index'),
    url(r'^profile/change_password/$', profile.change_password, name='change_password'),
    url(r'^profile/change_information/$', profile.change_information, name='change_information'),


]
